<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.BeginTransaction Method (TransactionConfig)
DatabaseEnvironment Class See Also Send Feedback

Create a new transaction in the environment.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public Transaction BeginTransaction(
    	TransactionConfig cfg
    )

Visual Basic (Declaration)

    Public Function BeginTransaction ( _
    	cfg As TransactionConfig _
    ) As Transaction

Visual C++

    public:
    Transaction^ BeginTransaction(
    	TransactionConfig^ cfg
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.TransactionConfig
  The configuration properties for the transaction

#### Return Value

A new transaction object

# See Also

DatabaseEnvironment Class
BeginTransaction Overload
BerkeleyDB Namespace